# Cinder

# cinder::app::AppImplMswBasic Class Reference

`#include <AppImplMswBasic.h>`

Inherits cinder::app::AppImplMsw.

List of all members.

## Public Member Functions
| AppImplMswBasic (class AppBasic *aApp)
void | run ()
class AppBasic * | getApp ()
void | quit ()
void | setWindowWidth (int aWindowWidth)
void | setWindowHeight (int aWindowHeight)
void | setWindowSize (int aWindowWidth, int aWindowHeight)
float | setFrameRate (float aFrameRate)
void | toggleFullScreen ()
std::string | getAppPath () const
Display * | getDisplay ()
int | getWindowWidth () const
int | getWindowHeight () const
float | getFrameRate () const
bool | isFullScreen () const
virtual Vec2i | mouseLocation ()
virtual void | privateSetWindowOffset__ (const Vec2i &aWindowOffset)
## Static Public Member Functions
static void | hideCursor ()
static void | showCursor ()
static Buffer | loadResource (int id, const std::string &type)
static std::string | getAppPath ()
static std::string | getOpenFilePath (const std::string &initialPath, std::vector< std::string > extensions)
static std::string | getSaveFilePath (const std::string &initialPath, std::vector< std::string > extensions)
## Protected Member Functions
bool | createWindow (int *width, int *height)
void | killWindow (bool wasFullScreen)
void | getScreenSize (int clientWidth, int clientHeight, int *resultWidth, int *resultHeight)
## Protected Attributes
bool | mShouldQuit
bool | mIsDragging
bool | mHasBeenInitialized
class AppBasic * | mApp
HWND | mWnd
HDC | mDC
HINSTANCE | mInstance
DWORD | mWindowStyle
DWORD | mWindowExStyle
double | mNextFrameTime
Display * | mDisplay
int | mWindowWidth
int | mWindowHeight
bool | mFullScreen
Vec2i | mWindowOffset
float | mFrameRate
## Friends
LRESULT CALLBACK | WndProc (HWND hWnd, UINT uMsg, WPARAM wParam, LPARAM lParam)

## Constructor & Destructor Documentation

cinder::app::AppImplMswBasic::AppImplMswBasic | ( | class AppBasic * | aApp | ) |

## Member Function Documentation

void cinder::app::AppImplMswBasic::run | ( |  | ) |

class AppBasic* cinder::app::AppImplMswBasic::getApp | ( |  | ) |

void cinder::app::AppImplMswBasic::quit | ( |  | ) | `[virtual]`

Implements cinder::app::AppImplMsw.

void cinder::app::AppImplMswBasic::setWindowWidth | ( | int | aWindowWidth | ) | `[virtual]`

Reimplemented from cinder::app::AppImplMsw.

void cinder::app::AppImplMswBasic::setWindowHeight | ( | int | aWindowHeight | ) | `[virtual]`

Reimplemented from cinder::app::AppImplMsw.

void cinder::app::AppImplMswBasic::setWindowSize | ( | int | aWindowWidth,
|  | int | aWindowHeight |
| ) |  |  | `[virtual]`

Reimplemented from cinder::app::AppImplMsw.

float cinder::app::AppImplMswBasic::setFrameRate | ( | float | aFrameRate | ) | `[virtual]`

Reimplemented from cinder::app::AppImplMsw.

void cinder::app::AppImplMswBasic::toggleFullScreen | ( |  | ) | `[virtual]`

Reimplemented from cinder::app::AppImplMsw.

std::string cinder::app::AppImplMswBasic::getAppPath | ( |  | ) | const

Display* cinder::app::AppImplMswBasic::getDisplay | ( |  | ) |

bool cinder::app::AppImplMswBasic::createWindow | ( | int * | width,
|  | int * | height |
| ) |  |  | `[protected]`

void cinder::app::AppImplMswBasic::killWindow | ( | bool | wasFullScreen | ) | `[protected]`

void cinder::app::AppImplMswBasic::getScreenSize | ( | int | clientWidth,
|  | int | clientHeight,
|  | int * | resultWidth,
|  | int * | resultHeight |
| ) |  |  | `[protected]`

int cinder::app::AppImplMsw::getWindowWidth | ( |  | ) | const`[inherited]`

int cinder::app::AppImplMsw::getWindowHeight | ( |  | ) | const`[inherited]`

float cinder::app::AppImplMsw::getFrameRate | ( |  | ) | const`[inherited]`

bool cinder::app::AppImplMsw::isFullScreen | ( |  | ) | const`[inherited]`

Vec2i cinder::app::AppImplMsw::mouseLocation | ( |  | ) | `[virtual, inherited]`

virtual void cinder::app::AppImplMsw::privateSetWindowOffset__ | ( | const Vec2i & | aWindowOffset | ) | `[virtual, inherited]`

void cinder::app::AppImplMsw::hideCursor | ( |  | ) | `[static, inherited]`

void cinder::app::AppImplMsw::showCursor | ( |  | ) | `[static, inherited]`

Buffer cinder::app::AppImplMsw::loadResource | ( | int | id,
|  | const std::string & | type |
| ) |  |  | `[static, inherited]`

std::string cinder::app::AppImplMsw::getAppPath | ( |  | ) | `[static, inherited]`

string cinder::app::AppImplMsw::getOpenFilePath | ( | const std::string & | initialPath,
|  | std::vector< std::string > | extensions |
| ) |  |  | `[static, inherited]`

string cinder::app::AppImplMsw::getSaveFilePath | ( | const std::string & | initialPath,
|  | std::vector< std::string > | extensions |
| ) |  |  | `[static, inherited]`

## Friends And Related Function Documentation

LRESULT CALLBACK WndProc | ( | HWND | hWnd,
|  | UINT | uMsg,
|  | WPARAM | wParam,
|  | LPARAM | lParam |
| ) |  |  | `[friend]`

## Member Data Documentation

bool cinder::app::AppImplMswBasic::mShouldQuit`[protected]`

bool cinder::app::AppImplMswBasic::mIsDragging`[protected]`

bool cinder::app::AppImplMswBasic::mHasBeenInitialized`[protected]`

class AppBasic* cinder::app::AppImplMswBasic::mApp`[protected]`

Reimplemented from cinder::app::AppImplMsw.

HWND cinder::app::AppImplMswBasic::mWnd`[protected]`

HDC cinder::app::AppImplMswBasic::mDC`[protected]`

HINSTANCE cinder::app::AppImplMswBasic::mInstance`[protected]`

DWORD cinder::app::AppImplMswBasic::mWindowStyle`[protected]`

DWORD cinder::app::AppImplMswBasic::mWindowExStyle`[protected]`

double cinder::app::AppImplMswBasic::mNextFrameTime`[protected]`

Display* cinder::app::AppImplMswBasic::mDisplay`[protected]`

int cinder::app::AppImplMsw::mWindowWidth`[protected, inherited]`

int cinder::app::AppImplMsw::mWindowHeight`[protected, inherited]`

bool cinder::app::AppImplMsw::mFullScreen`[protected, inherited]`

Vec2i cinder::app::AppImplMsw::mWindowOffset`[protected, inherited]`

float cinder::app::AppImplMsw::mFrameRate`[protected, inherited]`

The documentation for this class was generated from the following files:

- include/cinder/app/AppImplMswBasic.h
- src/cinder/app/AppImplMswBasic.cpp